<!-- Language -->
{% set locales =
    {
        'dk': 'Dansk',
        'gb': 'English',
    }
%}

{% set others =
    {
        'de': 'Deutche',
        'it': 'Italia',
    }
%}

<div class="dropdown">

    {% for locale, name in locales %}
        {% if locale() == locale %}

            <button type="button" data-toggle="dropdown" class="p-0 mr-2 btn btn-link">
                <span class="icon-wrapper icon-wrapper-alt rounded-circle">
                    <span class="icon-wrapper-bg bg-focus"></span>
                    <span class="language-icon opacity-8 flag large flag-icon flag-icon-{{ locale }}"></span>
                </span>
            </button>

        {% endif %}
    {% endfor %}

    <div tabindex="-1" role="menu" aria-hidden="true" class="rm-pointers dropdown-menu dropdown-menu-right animated bounceInDown">
        <div class="dropdown-menu-header">
            <div class="dropdown-menu-header-inner pt-4 pb-4 bg-focus">
                <div class="menu-header-image opacity-05" style="background-image: url('https://demo.dashboardpack.com/architectui-html-pro/assets/images/dropdown-header/city2.jpg')"></div>
                <div class="menu-header-content text-center text-white">
                    <h6 class="menu-header-subtitle mt-0">
                        Choose Language
                    </h6>
                </div>
            </div>
        </div>
        <h6 tabindex="-1" class="dropdown-header">
            Popular Languages
        </h6>

        {% for locale, name in locales %}
            {% if locale() != locale %}
                <form action="/translate/{{ locale }}" method="get" role="form">
                    <button type="submit" tabindex="0" class="dropdown-item">
                        <span class="mr-3 opacity-8 flag large flag-icon-{{ locale }}"></span>
                        {{ name }}
                    </button>
                </form>
            {% endif %}
        {% endfor %}

        <div tabindex="-1" class="dropdown-divider"></div>

        <h6 tabindex="-1" class="dropdown-header">
            Others
        </h6>

        {% for locale, name in others %}
            {% if locale() != locale %}
                <form action="/translate/{{ locale }}" method="get" role="form">
                    <button type="submit" tabindex="0" class="dropdown-item">
                        <span class="mr-3 opacity-8 flag large flag-icon-{{ locale }}"></span>
                        {{ name }}
                    </button>
                </form>
            {% endif %}
        {% endfor %}

    </div>
</div>